post
https://api-approval.tingg.africa/v1/nibss/activate-deactivate
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This function is used by the merchant to be able to activate( to allow a deactivated account to start collecting again) or deactivate a virtual accounts (to prevent a customer initiating a payment.
Parameters
Headers
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer <Bearer_Token> Generated during the authenticate request | Yes |
| Content-Type | application/json | Yes |
| apikey | app consumer key | Yes |
Request
| Parameter Name | Type | Description | Required |
|---|---|---|---|
| status | string | Status to indicate the next action to take for the virtual account i.e activate or deactivate. | Yes |
| accountNumber | string | This is the virtual account given for the customer to the merchant. | Yes |
Request Body
{
"status": 200,
"accountnumber": "8331000011"
}Response
| Parameter Name | Type | Description |
|---|---|---|
| status | JSONObject | Contains status code and description. |
| status_code | integer | The response status code. |
| status_description | string | Exact description of the status. |
Response Body
{
"status": {
"status_code": 200,
"status_description": "SUCCESSFUL"
},
"results": null
}Status Codes
| Status Code | Description |
|---|---|
| 200 | Success. Checkout request successfully logged in the checkout platform. |
| 500 | Failure. Generic failure occurred. Could be as a result of a system failure on the checkout platform. |
| 503 | Server could not process your request. Try later. |
